Re: [Evolution-hackers] db3 and db4

On Wed, 2003-11-19 at 05:59, JP Rosevear wrote:
> > "Berkeley DB major and minor releases may optionally include changes in
> > all four areas, that is, the application API, region files, database
> > formats, and log files may not be backward-compatible with previous
> > releases."
> Ok, so not 4.1.1 to 4.1.2, but possibly with 4.1.1 to 4.2.0.

That's what it looks like to me, and that's been my experience as well.
I have problems with porting 4.1.25 back to 4.0.x, but 4.1.24 for
example has no problems.

As others have pointed out, the API changes tend to be trivial and
easily addressed.

> > I'm not sure what you mean by "they don't version the libraries
> > properly".
> There is a system for versioning libraries (at least this is how libtool
> requests it be done and how many libraries do it) using CURRENT, AGE,
> REVISION which allows you to make statements about the binary
> compatibility of the library.  Last I checked DB inserts the version of
> the db for the library .so numbers so you can't infer anything about bin
> compat.

Ugh. That is bad. Never noticed that before.

Christopher Smith <x xman org>

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]